Runtime

## org.eclipse.gmf.runtime.gef.ui.figures
Class SlidableOvalAnchor

    java.lang.Object
      org.eclipse.draw2d.ConnectionAnchorBase
          org.eclipse.draw2d.AbstractConnectionAnchor
              org.eclipse.gmf.runtime.draw2d.ui.figures.BaseSlidableAnchor
                  org.eclipse.gmf.runtime.gef.ui.figures.SlidableAnchor
                      org.eclipse.gmf.runtime.gef.ui.figures.SlidableOvalAnchor

All Implemented Interfaces:
  AncestorListener, ConnectionAnchor, OrthogonalConnectionAnchor

    public class SlidableOvalAnchor

extends SlidableAnchor

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.draw2d.AncestorListener
`AncestorListener.Stub`

Field Summary

Fields inherited from class org.eclipse.draw2d.ConnectionAnchorBase
`listeners`

Constructor Summary
`SlidableOvalAnchor()` Default constructor
`SlidableOvalAnchor(IOvalAnchorableFigure f)` Creates default `SlidableOvalAnchor` with a reference points at the center of the figure
`SlidableOvalAnchor(IOvalAnchorableFigure f, PrecisionPoint p)` Creates `SlidableOvalAnchor` with a specified reference points

Method Summary
`protected Rectangle` `getBox()` Gets the anchors associated figure's bounding box in absolute coordinates.
`protected PointList` `getIntersectionPoints(Point ownReference, Point foreignReference)` Calculates intersection points of the figure and the line that passes through ownReference and foreignReference points

Methods inherited from class org.eclipse.gmf.runtime.draw2d.ui.figures.BaseSlidableAnchor
`getAnchorRelativeLocation, getLocation, getLocation, getOrthogonalLocation, getPolygonPoints, getReferencePoint, getTerminal, isDefaultAnchor, normalizeToStraightlineTolerance, parseTerminalString`

Methods inherited from class org.eclipse.draw2d.AbstractConnectionAnchor
`addAnchorListener, ancestorAdded, ancestorMoved, ancestorRemoved, getOwner, removeAnchorListener, setOwner`

Methods inherited from class org.eclipse.draw2d.ConnectionAnchorBase
`fireAnchorMoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.draw2d.ConnectionAnchor
`addAnchorListener, getOwner, removeAnchorListener`

Constructor Detail

### SlidableOvalAnchor

    public SlidableOvalAnchor()

  Default constructor

### SlidableOvalAnchor

    public SlidableOvalAnchor(IOvalAnchorableFigure f)

  Creates default `SlidableOvalAnchor` with a reference points at the center of the figure

  Parameters:
    `f` - the `IOvalAnchorableFigure` that this anchor will be associated with

### SlidableOvalAnchor

    public SlidableOvalAnchor(IOvalAnchorableFigure f,
                              PrecisionPoint p)

  Creates `SlidableOvalAnchor` with a specified reference points

  Parameters:
    `f` - the `IOvalAnchorableFigure` that this anchor will be associated with
    `p` - the `PrecisionPoint` that the anchor will initially attach to.

Method Detail

### getBox

    protected Rectangle getBox()

  Description copied from class: `SlidableAnchor`
  Gets the anchors associated figure's bounding box in absolute coordinates.

  Overrides:
    `getBox` in class `SlidableAnchor`
  Returns:
    a `Rectangle` that is the bounding box of the owner figure in relative coordinates

### getIntersectionPoints

    protected PointList getIntersectionPoints(Point ownReference,
                                              Point foreignReference)

  Description copied from class: `BaseSlidableAnchor`
  Calculates intersection points of the figure and the line that passes through ownReference and foreignReference points

  Overrides:
    `getIntersectionPoints` in class `BaseSlidableAnchor`
  Parameters:
    `ownReference` - the reference `Point` on or inside the shape that is being anchored to.
    `foreignReference` - the outside reference `Point` point that is the terminal end of the line formed by the two parameters.
  Returns:
    intersection points of the figure and the line that passes through ownReference and foreignReference points

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.